.thumbnail {
	width: 7rem;
	display: flex;
	height: 3em;
	position: relative;
	
	&__icon {
		width: 3em;
	
		&--instagram {
			background-color: $color-instagram;
			background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 26 26'%3e%3cg fill='%23FFF'%3e%3cpath d='M12.677 0C9.442 0 8.985.019 7.64.078 6.26.141 5.311.36 4.487.683a6.353 6.353 0 0 0-2.303 1.501 6.401 6.401 0 0 0-1.5 2.303C.363 5.315.14 6.259.077 7.64.015 9.026 0 9.468 0 13c0 3.529.015 3.97.078 5.36.063 1.381.282 2.329.605 3.153a6.364 6.364 0 0 0 1.501 2.303 6.401 6.401 0 0 0 2.303 1.5c.828.32 1.772.543 3.153.606C9.026 25.985 9.468 26 13 26c3.529 0 3.97-.015 5.36-.078 1.381-.063 2.329-.282 3.153-.605a6.353 6.353 0 0 0 2.303-1.501 6.401 6.401 0 0 0 1.5-2.303c.32-.828.543-1.772.606-3.153.06-1.345.078-1.802.078-5.037v-.642c0-3.236-.019-3.692-.078-5.037-.063-1.382-.282-2.329-.605-3.153a6.353 6.353 0 0 0-1.501-2.303 6.401 6.401 0 0 0-2.303-1.5c-.828-.32-1.772-.543-3.153-.606-1.345-.06-1.802-.078-5.037-.078h-.642L12.677 0zM13 2.34c3.47 0 3.881.015 5.252.074 1.267.06 1.954.271 2.414.446.606.234 1.04.516 1.493.973.454.453.736.888.974 1.493.178.457.39 1.148.445 2.415.063 1.37.075 1.782.075 5.252 0 3.469-.015 3.881-.075 5.252-.06 1.266-.27 1.953-.445 2.414a3.974 3.974 0 0 1-.974 1.493 4.066 4.066 0 0 1-1.493.973c-.457.178-1.147.39-2.414.446-1.37.063-1.783.074-5.252.074-3.47 0-3.881-.015-5.252-.074-1.267-.06-1.954-.271-2.414-.446a3.974 3.974 0 0 1-1.493-.973 4.066 4.066 0 0 1-.974-1.493c-.178-.457-.39-1.148-.445-2.414-.063-1.371-.075-1.783-.075-5.252 0-3.47.015-3.882.075-5.252.06-1.267.27-1.954.445-2.415.234-.605.517-1.04.974-1.493a4.066 4.066 0 0 1 1.493-.973c.457-.178 1.147-.39 2.414-.446C9.118 2.351 9.531 2.34 13 2.34z'/%3e%3cpath d='M13 17.33a4.33 4.33 0 1 1 0-8.66 4.33 4.33 0 0 1 0 8.66zm0-11.005a6.674 6.674 0 1 0 0 13.35 6.674 6.674 0 0 0 0-13.35zm8.495-.263a1.56 1.56 0 1 1-3.12 0 1.56 1.56 0 0 1 3.12 0z'/%3e%3c/g%3e%3c/svg%3e");
			background-size: 56%;
		}
	}

	&__image {
		width: 4.5em;
		
		&--placeholder {
			background-color: $gray-light;
			background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 26 22'%3e%3cg fill='none' fill-rule='evenodd'%3e%3cpath fill='%23ABB1BF' d='M24.986 1.888C24.048.548 22.316 0 19.006 0H6.993C3.61 0 1.847.582.912 2.01 0 3.403 0 5.455 0 8.294v5.412C0 19.207 1.082 22 6.993 22h12.013c2.87 0 4.46-.483 5.489-1.666C25.55 19.12 26 17.138 26 13.706V8.294c0-2.994-.07-5.058-1.014-6.406z'/%3e%3cpath fill='%23FFF' d='M17.015 11.505L10.001 15 10 7l8 4.014z'/%3e%3c/g%3e%3c/svg%3e");
			background-size: 45%;
			background-repeat: no-repeat;
			background-position: center center;
		}
	}

	&__duration {
			display: inline-block;
			background-color: rgba($black, .6);
			color: $color-text-lightest;
			flex-shrink: 0;
			align-self:flex-end;
			position: absolute;
			right: 0;
			top: 0;
			padding: (spacer(xs) * .3);
	}
}